| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | List of all members
cv::xphoto::WhiteBalancer Class Referenceabstract
Additional photo processing algorithms

The base class for auto white balance algorithms. More...

`#include <opencv2/xphoto/white_balance.hpp>`

Inheritance diagram for cv::xphoto::WhiteBalancer:

## Public Member Functions
virtual void | balanceWhite (InputArray src, OutputArray dst)=0
| Applies white balancing to the input image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

The base class for auto white balance algorithms.

## Member Function Documentation

## § balanceWhite()

virtual void cv::xphoto::WhiteBalancer::balanceWhite | ( | InputArray | src,
|  | OutputArray | dst
| ) |  |
| pure virtual

Python:
| dst | = | cv.xphoto_WhiteBalancer.balanceWhite( | src[, dst] | )

Applies white balancing to the input image.

Parameters

  src | Input image
  dst | White balancing result

See also
  cvtColor, equalizeHist

The documentation for this class was generated from the following file:

- opencv2/xphoto/white_balance.hpp